# Uses of Interface
org.eclipse.zest.layouts.constraints.LayoutConstraint

Packages that use LayoutConstraint
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts
org.eclipse.zest.layouts.constraints
org.eclipse.zest.layouts.dataStructures

## Uses of LayoutConstraint in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets with parameters of type LayoutConstraint
Modifier and Type
Method
Description
`void`
ConstraintAdapter.`populateConstraint(Object object, LayoutConstraint constraint)`
Deprecated.

## Uses of LayoutConstraint in org.eclipse.zest.layouts

Methods in org.eclipse.zest.layouts with parameters of type LayoutConstraint
Modifier and Type
Method
Description
`void`
LayoutEntity.`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.
`void`
LayoutRelationship.`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.

## Uses of LayoutConstraint in org.eclipse.zest.layouts.constraints

Classes in org.eclipse.zest.layouts.constraints that implement LayoutConstraint
Modifier and Type
Class
Description
`class`
`BasicEdgeConstraints`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`BasicEntityConstraint`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`EntityPriorityConstraint`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`LabelLayoutConstraint`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.

## Uses of LayoutConstraint in org.eclipse.zest.layouts.dataStructures

Methods in org.eclipse.zest.layouts.dataStructures with parameters of type LayoutConstraint
Modifier and Type
Method
Description
`void`
InternalNode.`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.
`void`
InternalRelationship.`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.